- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 202107-07
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                           https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

 Severity: Normal
    Title: glibc: Multiple vulnerabilities
     Date: July 06, 2021
     Bugs: #764176, #767718, #772425, #792261
       ID: 202107-07

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities in glibc could result in Denial of Service.

Background
==========

glibc is a package that contains the GNU C library.

Affected packages
=================

    -------------------------------------------------------------------
     Package              /     Vulnerable     /            Unaffected
    -------------------------------------------------------------------
  1  sys-libs/glibc              < 2.33-r1                 >= 2.33-r1 

Description
===========

Multiple vulnerabilities have been discovered in glibc. Please review
the CVE identifiers referenced below for details.

Impact
======

An attacker could cause a possible Denial of Service condition.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All glibc users should upgrade to the latest version:

  # emerge --sync
  # emerge --ask --oneshot --verbose ">=sys-libs/glibc-2.33-r1"

References
==========

[ 1 ] CVE-2019-25013
      https://nvd.nist.gov/vuln/detail/CVE-2019-25013
[ 2 ] CVE-2020-27618
      https://nvd.nist.gov/vuln/detail/CVE-2020-27618
[ 3 ] CVE-2021-27645
      https://nvd.nist.gov/vuln/detail/CVE-2021-27645
[ 4 ] CVE-2021-3326
      https://nvd.nist.gov/vuln/detail/CVE-2021-3326
[ 5 ] CVE-2021-33574
      https://nvd.nist.gov/vuln/detail/CVE-2021-33574

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

 https://security.gentoo.org/glsa/202107-07

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
[email protected] or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2021 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5